POSTklay_getTransactionReceipt

Returns the receipt for a transaction by transaction hash.

Request Body
idintegerrequired
jsonrpcstringrequired
methodstringrequired
paramsoneOf[]required

Enter the following parameters as an array with the appropriate types.

  1. transaction hash: Enter the transaction hash to query as a string.
params[0]string

Transaction hash is a unique identifier for a transaction. It is expressed as a 64-digit hexadecimal string.

Responses
blockHashstring

Hash of the block containing this transaction

blockNumberstring

Block number containing this transaction (hex)

contractAddressstring

Contract address created if this was a contract creation transaction, otherwise null

effectiveGasPricestring

Actual gas price paid (hex, in peb)

fromstring

Sender address of the transaction

gasstring

Gas limit set for the transaction (hex)

gasPricestring

Gas price (hex, in peb)

gasUsedstring

Gas used by this specific transaction (hex)

addressstring

The address of the contract that emitted this log

topicsstring[]

Array of event signature hash and indexed parameters (up to 4 entries)

datastring

Non-indexed event parameter data (hex encoded)

blockNumberstring

Block number containing this log (hex)

transactionHashstring

Hash of the transaction that created this log

transactionIndexstring

Transaction position index within the block (hex)

blockHashstring

Hash of the block containing this log

logIndexstring

Log position index within the block (hex)

removedboolean

True if the log was removed due to a chain reorganization

logsBloomstring

Bloom filter for event log search (2048 bits, hex)

noncestring

Sender nonce (hex)

senderTxHashstring

Transaction hash containing only the sender signature, for fee-delegated transactions

Vstring

ECDSA signature v value (hex)

Rstring

ECDSA signature r value (hex)

Sstring

ECDSA signature s value (hex)

statusstring

Transaction execution result (0x1=success, 0x0=failure)

tostring

Recipient address. Null for contract creation transactions

transactionHashstring

Transaction hash

transactionIndexstring

Transaction position index within the block (hex)

typestring

Transaction type (hex string)

typeIntinteger

Transaction type as integer

X-API-KEY
RequestCU16
cURL
curl -X POST "https://kaia-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "id": 1,
  "jsonrpc": "2.0",
  "method": "klay_getTransactionReceipt",
  "params": [
    "0xda148d856aef6d77d0b76c90ef1091ffe77afe9ee9b1c6cc23f28f042f198bd8"
  ]
}'
Response
Example · 200
{
  "blockHash": "string",
  "blockNumber": "string",
  "contractAddress": "string",
  "effectiveGasPrice": "string",
  "from": "string",
  "gas": "string",
  "gasPrice": "string",
  "gasUsed": "string",
  "logs": [
    {
      "address": "string",
      "topics": [
        "string"
      ],
      "data": "string",
      "blockNumber": "string",
      "transactionHash": "string",
      "transactionIndex": "string",
      "blockHash": "string",
      "logIndex": "string",
      "removed": true
    }
  ],
  "logsBloom": "string",
  "nonce": "string",
  "senderTxHash": "string",
  "signatures": [
    {
      "V": "string",
      "R": "string",
      "S": "string"
    }
  ],
  "status": "string",
  "to": "string",
  "transactionHash": "string",
  "transactionIndex": "string",
  "type": "string",
  "typeInt": 0
}